[jira] [Updated] (LOG4PHP-222) MongoDb appender class Mongo Deprecated

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Updated] (LOG4PHP-222) MongoDb appender class Mongo Deprecated

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/LOG4PHP-222?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Andrew Revak updated LOG4PHP-222:
---------------------------------
    Attachment: LOG4PHP-222.patch

Patch for this issue.

> MongoDb appender class Mongo Deprecated
> ---------------------------------------
>
>                 Key: LOG4PHP-222
>                 URL: https://issues.apache.org/jira/browse/LOG4PHP-222
>             Project: Log4php
>          Issue Type: Bug
>            Reporter: Nicola Anghelè
>         Attachments: LOG4PHP-222.patch
>
>
> Hi , I'm using the MongoDb appender on MAMP php version 5.5.18.
> I get this deprecation error
> LoggerAppenderMongoDB::activateOptions(): The Mongo class is deprecated, please use the MongoClient class in  ..vendor/apache/log4php/src/main/php/appenders/LoggerAppenderMongoDB.php on line 125
> Are you planning to move to MongoClient ? On my development platform I have to disable E_DEPRECATED since in zend framework those kind of errors rise an exception.
> Thank you.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)